Unset Scope Permissions
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission} \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"permissions": {
"sendMessage": "allow",
"listMembers": "allow",
"listMembers.allowedScopes": "participant",
"addReaction": "deny",
"listReactions.allowedScopes": "moderator",
"listReactions": "deny",
"sendThreadedMessage": "allow",
"initiateCall": "deny",
"initiateCall.allowedScopes": "participant",
"initiateCall.allowedType": "audio",
"editMessage": "allow"
}
}
}Role Based Access Control
Unset Scope Permissions
Remove a permission from a CometChat group scope with REST API to update role-based access control for group actions.
DELETE
/
groups
/
{guid}
/
scopes
/
{scope}
/
permissions
/
{permission}
Unset Scope Permissions
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
The group GUID to remove scope permission from
Example:
"supergroup"
The scope identifier (e.g., admin, moderator, participant)
Example:
"admin"
The permission key to unset (e.g., sendMessage, initiateCall, etc.)
Example:
"sendMessage"
Response
200 - application/json
Scope permission unset successfully
Was this page helpful?
⌘I